This is the DNS server that will be assigned to the host configured with the DHCP protocol. This value is valid when the DHCP protocol status is server (2).
OID reference
dsrvDnsServer
1.3.6.1.4.1.2007.4.17.1.10.2.5
Description
This is the DNS server that will be assigned to the host configured with the DHCP protocol. This value is valid when the DHCP protocol status is server (2).
Identification
Identifier and names
- Parent
- 1.3.6.1.4.1.2007.4.17.1.10.2 (dhcpServer)
- Node code
- 5
- Node name
- dsrvDnsServer
- Category
- SNMP management object
- Numeric OID
- 1.3.6.1.4.1.2007.4.17.1.10.2.5
- URN notation
- urn:oid:1.3.6.1.4.1.2007.4.17.1.10.2.5
ASN.1, OID-IRI and named path variants
- ASN.1 notation
-
{1 3 6 1 4 1 2007 4 17 1 10 2 5}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) teldat(2007) telproducts(4) telProductsTeldatC(17) configuration(1) dhcpProtocol(10) dhcpServer(2) dsrvDnsServer(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) teldat(2007) telproducts(4) telProductsTeldatC(17) configuration(1) dhcpProtocol(10) dhcpServer(2) dsrvDnsServer(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) teldat(2007) telproducts(4) telProductsTeldatC(17) configuration(1) dhcpProtocol(10) dhcpServer(2) dsrvDnsServer(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) teldat(2007) telproducts(4) telProductsTeldatC(17) configuration(1) dhcpProtocol(10) dhcpServer(2) dsrvDnsServer(5)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) teldat(2007) telproducts(4) telProductsTeldatC(17) configuration(1) dhcpProtocol(10) dhcpServer(2) dsrvDnsServer(5)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) teldat(2007) telproducts(4) telProductsTeldatC(17) configuration(1) dhcpProtocol(10) dhcpServer(2) dsrvDnsServer(5)}
- {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) teldat(2007) telproducts(4) telProductsTeldatC(17) configuration(1) dhcpProtocol(10) dhcpServer(2) dsrvDnsServer(5)}
- {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) teldat(2007) telproducts(4) telProductsTeldatC(17) configuration(1) dhcpProtocol(10) dhcpServer(2) dsrvDnsServer(5)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprise(1) teldat(2007) telproducts(4) telProductsTeldatC(17) configuration(1) dhcpProtocol(10) dhcpServer(2) dsrvDnsServer(5)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprises(1) teldat(2007) telproducts(4) telProductsTeldatC(17) configuration(1) dhcpProtocol(10) dhcpServer(2) dsrvDnsServer(5)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) teldat(2007) telproducts(4) telProductsTeldatC(17) configuration(1) dhcpProtocol(10) dhcpServer(2) dsrvDnsServer(5)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) teldat(2007) telproducts(4) telProductsTeldatC(17) configuration(1) dhcpProtocol(10) dhcpServer(2) dsrvDnsServer(5)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprise(1) teldat(2007) telproducts(4) telProductsTeldatC(17) configuration(1) dhcpProtocol(10) dhcpServer(2) dsrvDnsServer(5)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprises(1) teldat(2007) telproducts(4) telProductsTeldatC(17) configuration(1) dhcpProtocol(10) dhcpServer(2) dsrvDnsServer(5)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) teldat(2007) telproducts(4) telProductsTeldatC(17) configuration(1) dhcpProtocol(10) dhcpServer(2) dsrvDnsServer(5)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) vendor-objects(1) teldat(2007) telproducts(4) telProductsTeldatC(17) configuration(1) dhcpProtocol(10) dhcpServer(2) dsrvDnsServer(5)}
- OID-IRI notation
- /1/3/6/1/4/1/2007/4/17/1/10/2/5
- /ISO/Identified-Organization/6/1/4/1/2007/4/17/1/10/2/5
- /ISO/3/6/1/4/1/2007/4/17/1/10/2/5
- Named path variants
- /iso/identified-organization/dod/internet/private/enterprise/2007/telproducts/telProductsTeldatC/configuration/dhcpProtocol/dhcpServer/dsrvDnsServer
- /iso/identified-organization/dod/internet/private/enterprise/teldat/telproducts/telProductsTeldatC/configuration/dhcpProtocol/dhcpServer/dsrvDnsServer
- /iso/identified-organization/dod/internet/private/enterprises/2007/telproducts/telProductsTeldatC/configuration/dhcpProtocol/dhcpServer/dsrvDnsServer
- /iso/identified-organization/dod/internet/private/enterprises/teldat/telproducts/telProductsTeldatC/configuration/dhcpProtocol/dhcpServer/dsrvDnsServer
- /iso/identified-organization/dod/internet/private/ldap-enterprise/2007/telproducts/telProductsTeldatC/configuration/dhcpProtocol/dhcpServer/dsrvDnsServer
- /iso/identified-organization/dod/internet/private/ldap-enterprise/teldat/telproducts/telProductsTeldatC/configuration/dhcpProtocol/dhcpServer/dsrvDnsServer
- /iso/identified-organization/dod/internet/private/vendor-objects/2007/telproducts/telProductsTeldatC/configuration/dhcpProtocol/dhcpServer/dsrvDnsServer
- /iso/identified-organization/dod/internet/private/vendor-objects/teldat/telproducts/telProductsTeldatC/configuration/dhcpProtocol/dhcpServer/dsrvDnsServer
- /iso/org/dod/internet/private/enterprise/2007/telproducts/telProductsTeldatC/configuration/dhcpProtocol/dhcpServer/dsrvDnsServer
- /iso/org/dod/internet/private/enterprise/teldat/telproducts/telProductsTeldatC/configuration/dhcpProtocol/dhcpServer/dsrvDnsServer
- /iso/org/dod/internet/private/enterprises/2007/telproducts/telProductsTeldatC/configuration/dhcpProtocol/dhcpServer/dsrvDnsServer
- /iso/org/dod/internet/private/enterprises/teldat/telproducts/telProductsTeldatC/configuration/dhcpProtocol/dhcpServer/dsrvDnsServer
- /iso/org/dod/internet/private/ldap-enterprise/2007/telproducts/telProductsTeldatC/configuration/dhcpProtocol/dhcpServer/dsrvDnsServer
- /iso/org/dod/internet/private/ldap-enterprise/teldat/telproducts/telProductsTeldatC/configuration/dhcpProtocol/dhcpServer/dsrvDnsServer
- /iso/org/dod/internet/private/vendor-objects/2007/telproducts/telProductsTeldatC/configuration/dhcpProtocol/dhcpServer/dsrvDnsServer
- /iso/org/dod/internet/private/vendor-objects/teldat/telproducts/telProductsTeldatC/configuration/dhcpProtocol/dhcpServer/dsrvDnsServer
- Additional combinations skipped.
SNMP properties
- Value type
- IpAddress
- Maximum access defined by MIB
- read-write
- Status in MIB
- obsolete
Using this OID with SNMP
At least one MIB declaration places this object in a scalar group. A scalar instance uses the suffix .0.
snmpget [connection options] DEVICE .1.3.6.1.4.1.2007.4.17.1.10.2.5.0
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Published definition
The displayed source records contain one distinct definition. Compare its source records.
dsrvDnsServer OBJECT-TYPE
SYNTAX IpAddress
ACCESS read-write
STATUS obsolete
DESCRIPTION "This is the DNS server that will be assigned to the host
configured with the DHCP protocol. This value is valid when
the DHCP protocol status is server (2)."
::={ dhcpServer 5 }
Meaning
Descriptions
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Evidence
Source records
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Records for description 1Teldat MIB copies (MibBrowser.online)
dsrvDnsServer · obsoleteTeldat MIB copies (MibBrowser.online)
Status in source: obsolete.
Names: dsrvDnsServer
Technical details
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"dsrvDnsServer",
"OBJECT-TYPE",
"SYNTAX",
"IpAddress",
"ACCESS",
"read-write",
"STATUS",
"obsolete",
"DESCRIPTION",
"\"This is the DNS server that will be assigned to the host configured with the DHCP protocol. This value is valid when the DHCP protocol status is server (2).\"",
"::=",
"{",
"dhcpServer",
"5",
"}"
],
"syntax_tree": [
[
"ApplicationSyntax",
"IpAddress",
null
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"obsolete"
],
[
"DESCRIPTION",
"This is the DNS server that will be assigned to the host configured with the DHCP protocol. This value is valid when the DHCP protocol status is server (2)."
],
null,
null,
null,
null
]
}- Teldat MIB copies (MibBrowser.online)
· Publisher's source file: TELDAT-teldatC-MIB — archive MIB indexed for Teldat
Vendor MIB copy from the MibBrowser.online archive. Teldat support.
Module: TELDAT-teldatC-MIB
See published definition above
· Download TELDAT-teldatC-MIB — archive MIB indexed for TeldatModule imports
{'RFC-1212': ['OBJECT-TYPE'], 'TELDAT-MIB': ['telproducts'], 'RFC1155-SMI': ['IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
- RFC-1212 — dependency MIB (MibBrowser.online)
- RFC1155-SMI — dependency MIB (MibBrowser.online)
- RFC1213-MIB — dependency MIB (MibBrowser.online)
Show more related files and packages
Registration
Registration authorities
First Registration Authority (inferred from ancestor 1.3.6.1.4.1.2007)
Siblings (5)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.2007.4.17.1.10.2.1 | dsrvStartRange | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.17.1.10.2.2 | dsrvEndRange | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.17.1.10.2.3 | dsrvSubnetMask | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.17.1.10.2.4 | dsrvDefaultRouter | 0 | 0 | |
| 1.3.6.1.4.1.2007.4.17.1.10.2.6 | dsrvLeaseTime | 0 | 0 |